logread(1) "logread"

# NAME

logread - fetch log messages from the logbookd socket

# SYNOPSIS

logread [OPTIONS]

OPTIONS := { -f | -F | -n limit | -d datefmt | -u unit | -h }

# DESCRIPTION

Connects to the running logbookd instance and queries the database for old or
realtime log messages.

# OPTIONS

*-h*
	Show the help message and quit.

*-f*
	Show only new log messages as they come in in realtime.

*-F*
	Show log messages as they come in but first output historical log messages.

*-n count*
	Number of historical log messages to fetch after filtering. Defaults to 100

*-d datefmt*
	Override the datetime formatting in the log output. Defaults
	to %b %d %H:%M:%S

*-u unit*
	Show only log messages for this specific service. This matches the prefix of
	the syslog "app" field

# SEE ALSO

logbookd(1)
