# logbookd, the small journald

This is a syslogd implementation that is the answer to the question
"what if the busybox developers made journald".

This is a tiny daemon that receives kernel log messages and syslog
messages on an unix socket and stores those in an sqlite database
for querying. Due to how sqlite works it's possible to run a persistent
syslog or an in-memory one (which is the default)

The logbook contains a copy of the full kernel log since boot
and gaps are automatically filled when restarting logbookd as
long the lost messages are not more than the size of the kernel
log ringbuffer.

To read log messages the `logread` command will query the daemon
over another socket and it gives the possibility to see
realtime (filtered) log messages.

## Features

* Logs to a sqlite database in-memory or to disk
* Keeps track of boot_id to query per-boot logs
* Logs can be queried over an unix domain socket
* Stores a copy of the kernel log
* Can be started with socket activation
* Reduced write mode where the logs are in memory until logbookd
  is interrupted or receives SIGUSR1